[arch-commits] Commit in gecko-sharp-2.0/trunk (3 files)
Jan de Groot
jgc at archlinux.org
Sun Jun 22 14:19:13 UTC 2008
Date: Sunday, June 22, 2008 @ 10:19:13
Author: jgc
Revision: 3392
upgpkg: gecko-sharp-2.0 0.13-2
Build against xul 1.9
Added:
gecko-sharp-2.0/trunk/gecko-sharp-2.0-0.12-xulrunner.patch
Modified:
gecko-sharp-2.0/trunk/PKGBUILD
Deleted:
gecko-sharp-2.0/trunk/gecko-sharp-2.0.install
--------------------------------------+
PKGBUILD | 25 +++++++++----------
gecko-sharp-2.0-0.12-xulrunner.patch | 42 +++++++++++++++++++++++++++++++++
gecko-sharp-2.0.install | 21 ----------------
3 files changed, 54 insertions(+), 34 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2008-06-22 14:06:17 UTC (rev 3391)
+++ PKGBUILD 2008-06-22 14:19:13 UTC (rev 3392)
@@ -4,29 +4,28 @@
pkgname=gecko-sharp-2.0
pkgver=0.13
-pkgrel=1
+pkgrel=2
pkgdesc="C# bindings for gtkmozembed"
arch=(i686 x86_64)
+license=('LGPL' 'MPL')
url="http://www.mono-project.com/"
-depends=('xulrunner>=1.8.1.11' 'gtk-sharp-2>=2.12.0')
+depends=('xulrunner>=1.9' 'gtk-sharp-2>=2.12.1')
makedepends=('monodoc' 'pkgconfig')
-source=(http://go-mono.com/sources/gecko-sharp-2.0/gecko-sharp-2.0-${pkgver}.tar.bz2)
-md5sums=('f88eaa06e71f8d8fa34cf59a3e034a6b')
+source=(http://go-mono.com/sources/gecko-sharp-2.0/gecko-sharp-2.0-${pkgver}.tar.bz2
+ gecko-sharp-2.0-0.12-xulrunner.patch)
+md5sums=('f88eaa06e71f8d8fa34cf59a3e034a6b'
+ '4f2c07c3fb0c1a94adaa4e4c8d57608b')
build() {
- [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
-
# get rid of that .wapi errors; thanks to brice
- export MONO_SHARED_DIR=${startdir}/src/weird
- mkdir -p ${MONO_SHARED_DIR}
+ export MONO_SHARED_DIR="${startdir}/src/weird"
+ mkdir -p "${MONO_SHARED_DIR}"
# build
cd ${startdir}/src/gecko-sharp-2.0-${pkgver}
- ./configure --prefix=/usr
+ patch -Np1 -i ${srcdir}/gecko-sharp-2.0-0.12-xulrunner.patch || return 1
+ ./configure --prefix=/usr || return 1
make || return 1
make GACUTIL="/usr/bin/gacutil /root ${startdir}/pkg/usr/lib" \
- DESTDIR=${startdir}/pkg install
-
- # housecleaning
- rm -rf ${MONO_SHARED_DIR}
+ DESTDIR=${startdir}/pkg install || return 1
}
Added: gecko-sharp-2.0-0.12-xulrunner.patch
===================================================================
--- gecko-sharp-2.0-0.12-xulrunner.patch (rev 0)
+++ gecko-sharp-2.0-0.12-xulrunner.patch 2008-06-22 14:19:13 UTC (rev 3392)
@@ -0,0 +1,42 @@
+diff -up gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.raw.xl gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.raw
+--- gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.raw.xl 2006-12-22 20:57:47.000000000 +0100
++++ gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.raw 2007-11-27 15:54:41.000000000 +0100
+@@ -349,6 +349,12 @@
+ <parameter type="const-char*" name="aPath" />
+ </parameters>
+ </method>
++ <method name="SetPath" cname="gtk_moz_embed_set_path" shared="true">
++ <return-type type="void" />
++ <parameters>
++ <parameter type="const-char*" name="aPath" />
++ </parameters>
++ </method>
+ <method name="SetProfilePath" cname="gtk_moz_embed_set_profile_path" shared="true">
+ <return-type type="void" />
+ <parameters>
+diff -up gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.xml.xl gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.xml
+--- gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.xml.xl 2006-12-22 20:57:54.000000000 +0100
++++ gecko-sharp-2.0-0.12/gtkmozembed/gtkgecko-api.xml 2007-11-27 15:54:41.000000000 +0100
+@@ -349,6 +349,12 @@
+ <parameter type="const-char*" name="aPath" />
+ </parameters>
+ </method>
++ <method name="SetPath" cname="gtk_moz_embed_set_path" shared="true">
++ <return-type type="void" />
++ <parameters>
++ <parameter type="const-char*" name="aPath" />
++ </parameters>
++ </method>
+ <method name="SetProfilePath" cname="gtk_moz_embed_set_profile_path" shared="true">
+ <return-type type="void" />
+ <parameters>
+diff -up gecko-sharp-2.0-0.12/gtkmozembed/gecko-sharp.dll.config.in.xl gecko-sharp-2.0-0.12/gtkmozembed/gecko-sharp.dll.config.in
+--- gecko-sharp-2.0-0.12/gtkmozembed/gecko-sharp.dll.config.in.xl 2006-12-22 20:57:47.000000000 +0100
++++ gecko-sharp-2.0-0.12/gtkmozembed/gecko-sharp.dll.config.in 2007-11-27 16:05:02.000000000 +0100
+@@ -3,5 +3,5 @@
+ <dllmap dll="libgobject-2.0-0.dll" target="libgobject-2.0 at LIB_PREFIX@.0 at LIB_SUFFIX@"/>
+ <dllmap dll="libatk-1.0-0.dll" target="libatk-1.0 at LIB_PREFIX@.0 at LIB_SUFFIX@"/>
+ <dllmap dll="libgtk-win32-2.0-0.dll" target="libgtk-x11-2.0 at LIB_PREFIX@.0 at LIB_SUFFIX@"/>
+- <dllmap dll="gtkembedmoz.dll" target="libgtkembedmoz at LIB_PREFIX@@LIB_SUFFIX@"/>
++ <dllmap dll="gtkembedmoz.dll" target="libxul at LIB_PREFIX@@LIB_SUFFIX@"/>
+ </configuration>
Deleted: gecko-sharp-2.0.install
===================================================================
--- gecko-sharp-2.0.install 2008-06-22 14:06:17 UTC (rev 3391)
+++ gecko-sharp-2.0.install 2008-06-22 14:19:13 UTC (rev 3392)
@@ -1,21 +0,0 @@
-
-post_install() {
- echo "recreating monodoc index ... this could take a while..."
- monodoc --make-search-index > /dev/null 2>&1
-}
-
-# arg 1: the new package version
-# arg 2: the old package version
-post_upgrade() {
- post_install $1
-}
-
-post_remove() {
- echo -e "\nrecreating monodoc index ... this could take a while..."
- monodoc --make-search-index > /dev/null 2>&1
-}
-
-op=$1
-shift
-
-$op $*
More information about the arch-commits
mailing list